Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2699613002: [remote suggestions] Add separte fetch interval for NTP open trigger (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by markusheintz_
Modified:
8 months ago
Reviewers:
jkrcal
CC:
chromium-reviews, noyau+watch_chromium.org, ntp-dev+reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[remote suggestions] Add separte fetch interval for NTP open trigger BUG=692727 Review-Url: https://codereview.chromium.org/2699613002 Cr-Commit-Position: refs/heads/master@{#451337} Committed: https://chromium.googlesource.com/chromium/src/+/e85944f082b27f903fcea5491549de058e157528

Patch Set 1 #

Patch Set 2 : " #

Patch Set 3 : ' #

Total comments: 13

Patch Set 4 : Address comments #

Patch Set 5 : Address comments #

Total comments: 4

Patch Set 6 : Address comments #

Patch Set 7 : remove extra test - will have a separate CL #

Unified diffs Side-by-side diffs Delta from patch set Stats (+149 lines, -22 lines) Patch
M components/ntp_snippets/pref_names.h View 1 2 3 1 chunk +4 lines, -1 line 0 comments Download
M components/ntp_snippets/pref_names.cc View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M components/ntp_snippets/remote/scheduling_remote_suggestions_provider.h View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc View 1 2 3 4 5 12 chunks +49 lines, -17 lines 0 comments Download
M components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc View 1 2 3 4 5 6 3 chunks +91 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 42 (25 generated)
markusheintz_
"
8 months, 1 week ago (2017-02-15 13:38:22 UTC) #1
markusheintz_
'
8 months, 1 week ago (2017-02-15 14:20:10 UTC) #2
markusheintz_
Jan even though I still need to add the variation param please take an early ...
8 months, 1 week ago (2017-02-15 14:22:51 UTC) #5
jkrcal
I guess you meant the prefs that need to be added? (variation params seem to ...
8 months, 1 week ago (2017-02-15 16:35:34 UTC) #6
markusheintz_
Address comments
8 months, 1 week ago (2017-02-15 21:18:28 UTC) #8
markusheintz_
https://codereview.chromium.org/2699613002/diff/40001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc File components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc (right): https://codereview.chromium.org/2699613002/diff/40001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc#newcode40 components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc:40: NTP_OPEN, On 2017/02/15 16:35:34, jkrcal wrote: > nit: please ...
8 months, 1 week ago (2017-02-15 21:19:29 UTC) #9
jkrcal
Thanks! Could you please also add some unit-tests? (changing the default variation param for the ...
8 months ago (2017-02-16 07:32:55 UTC) #14
markusheintz_
Address comments
8 months ago (2017-02-16 13:27:05 UTC) #15
markusheintz_
https://codereview.chromium.org/2699613002/diff/40001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc File components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc (right): https://codereview.chromium.org/2699613002/diff/40001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc#newcode460 components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc:460: case TriggerType::PERSISTENT_SCHEDULER_WAKE_UP: On 2017/02/16 07:32:54, jkrcal wrote: > On ...
8 months ago (2017-02-16 13:45:53 UTC) #18
jkrcal
lgtm % nits Thanks! https://codereview.chromium.org/2699613002/diff/80001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc File components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc (right): https://codereview.chromium.org/2699613002/diff/80001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc#newcode422 components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc:422: ShouldFetchAgainOnNTPOpenedLaterAgain) { nit: Can you ...
8 months ago (2017-02-16 14:02:16 UTC) #19
markusheintz_
Address comments
8 months ago (2017-02-16 19:23:09 UTC) #22
markusheintz_
remove extra test - will have a separate CL
8 months ago (2017-02-17 11:52:56 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699613002/120001
8 months ago (2017-02-17 12:57:04 UTC) #34
markusheintz_
https://codereview.chromium.org/2699613002/diff/80001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc File components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc (right): https://codereview.chromium.org/2699613002/diff/80001/components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc#newcode422 components/ntp_snippets/remote/scheduling_remote_suggestions_provider_unittest.cc:422: ShouldFetchAgainOnNTPOpenedLaterAgain) { On 2017/02/16 14:02:16, jkrcal wrote: > nit: ...
8 months ago (2017-02-17 12:58:04 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/367105)
8 months ago (2017-02-17 13:47:08 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699613002/120001
8 months ago (2017-02-17 17:09:51 UTC) #39
commit-bot: I haz the power
8 months ago (2017-02-17 17:56:08 UTC) #42
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/e85944f082b27f903fcea5491549...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa